---
title: Gyroscope.y
slug: Web/API/Gyroscope/y
tags:
  - API
  - Generic Sensor API
  - Gyroscope
  - Property
  - Reference
  - Sensor
  - Sensor APIs
  - Sensors
  - 'y'
---
<div>{{APIRef("Gyroscope")}}</div>

<p><span class="seoSummary">The <strong><code>y</code></strong> read-only property of the {{domxref("Gyroscope")}} interface returns a double precision integer containing the angular velocity of the device along the its y axis. </span></p>

<p>If a feature policy blocks use of a feature it is because your code is inconsistent with the policies set on your server. This is not something that would ever be shown to a user. See {{httpheader('Feature-Policy')}} for implementation instructions.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>y</var> = <var>gyroscope</var>.y</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref('Number')}}.</p>

<h2 id="Example">Example</h2>

<p>The gyroscope is typically read in the {{domxref('Sensor.onreading')}} event callback. In the example below this occurs sixty times a second.</p>

<pre class="brush: js">let gyroscope = new Gyroscope({frequency: 60});

gyroscope.addEventListener('reading', e =&gt; {
  console.log("Angular velocety along the X-axis " + gyroscope.x);
  console.log("Angular velocety along the Y-axis " + gyroscope.y);
  console.log("Angular velocety along the Z-axis " + gyroscope.z);
});
gyroscope.start();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>Defines sensors in general.</td>
  </tr>
  <tr>
   <td>{{SpecName('Gyroscope','#gyroscope-y','y')}}</td>
   <td>{{Spec2('Gyroscope')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Gyroscope.y")}}</p>
